<?php $title = ! empty( $instance['title'] ) ? $instance['title'] : ''; ?>
<?php $subtitle = ! empty( $instance['subtitle'] ) ? $instance['subtitle'] : ''; ?>
<?php $poster = ! empty( $instance['poster'] ) ? $instance['poster'] : ''; ?>
<?php $video_mp4 = ! empty( $instance['video_mp4'] ) ? $instance['video_mp4'] : ''; ?>
<?php $video_ogg = ! empty( $instance['video_ogg'] ) ? $instance['video_ogg'] : ''; ?>

<!-- TITLE -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>">
        <?php echo __( 'Title', 'realia' ); ?>
    </label>


    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $title ); ?>">
</p>

<!-- SUBTITLE -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'subtitle' ) ); ?>">
        <?php echo __( 'Subtitle', 'realia' ); ?>
    </label>


    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'subtitle' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'subtitle' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $subtitle ); ?>">
</p>

<!-- PRESET -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'poster' ) ); ?>">
        <?php echo __( 'Preset Image URL', 'realia' ); ?>
    </label>


    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'poster' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'poster' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $poster ); ?>">
</p>

<!-- VIDEO MP4 -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'video_mp4' ) ); ?>">
        <?php echo __( 'Video MP4', 'realia' ); ?>
    </label>


    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'video_mp4' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'video_mp4' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $video_mp4 ); ?>">
</p>

<!-- VIDEO OGG -->
<p>
    <label for="<?php echo esc_attr( $this->get_field_id( 'video_ogg' ) ); ?>">
        <?php echo __( 'Video OGG', 'realia' ); ?>
    </label>


    <input  class="widefat"
            id="<?php echo esc_attr( $this->get_field_id( 'video_ogg' ) ); ?>"
            name="<?php echo esc_attr( $this->get_field_name( 'video_ogg' ) ); ?>"
            type="text"
            value="<?php echo esc_attr( $video_ogg ); ?>">
</p>